Bug 11549 - smbstatus doesn't show leases
smbstatus doesn't show leases
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 10:26 UTC by Ralph Böhme
Modified: 2015-10-21 09:53 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.3.next, 4.2.next. (1.64 KB, patch)
2015-10-14 21:29 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-10-12 10:26:05 UTC
Turns out share_mode_traverse_fn() is not initializing the leases pointer in the share_mode_entry to point to the leases array entry at index lease_idx.

Patch follows.
Comment 1 Jeremy Allison 2015-10-14 21:29:20 UTC
Created attachment 11494 [details]
git-am fix for 4.3.next, 4.2.next.

Cherry-picked from master.
Comment 2 Jeremy Allison 2015-10-15 17:23:28 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 3 Karolin Seeger 2015-10-19 09:00:13 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 4 Karolin Seeger 2015-10-21 09:53:57 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!